[phpBB Debug] PHP Notice: in file /viewtopic.php on line 981: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'UTC/0.0/no DST' instead
[phpBB Debug] PHP Notice: in file /viewtopic.php on line 981: getdate(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'UTC/0.0/no DST' instead
Linuxcentre • View topic - [solved] Please help me download radio show using Windows.

[solved] Please help me download radio show using Windows.

Bring out the bugs.

[solved] Please help me download radio show using Windows.

Postby bat999 » 25 Feb 2010 01:01

Hi
I've been trying to download a BBC radio show from here:-
http://www.bbc.co.uk/irish/video_audio/player/409/english/

When I use get_iplayer with Ubuntu this command works OK:-
Code: Select all
get_iplayer --get --type radio --url=http://www.bbc.co.uk/irish/video_audio/player/409/english/

But when I use the same command with Windows it doesn't work. The error is :-
File does not exist: at get_iplayer.pl line 5566

With Ubuntu I am using get_iplayer v2.41 (because it's available in the Ubuntu repository).
With Windows I am using get_iplayer v2.68 (because it's the current version from the get_iplayer website).

Please can someone explain why my command won't work with Windows.
Last edited by bat999 on 25 Feb 2010 13:45, edited 4 times in total.
bat999
 
Posts: 1
Joined: 25 Feb 2010 00:54

Re: Please help me download radio show with Windows.

Postby Sam » 25 Feb 2010 13:27

I am having the same problem since updating to 2.68 on WinXP. I only ran the update because it was telling me I needed XML::Simple to get URLs like:

http://news.bbc.co.uk/1/hi/business/8535898.stm

Code: Select all
C:\Program Files\get_iplayer>get_iplayer --pid 'tv:http://news.bbc.co.uk/1/hi/business/8535898.stm'
get_iplayer v2.68, Copyright (C) 2008-2010 Phil Lewis
  This program comes with ABSOLUTELY NO WARRANTY; for details use --warranty.
  This is free software, and you are welcome to redistribute it under certain
  conditions; use --conditions for details.

INFO: Using Proxy http://xxxxx:xxxxxx@xxxxxxxxxx:8080
File does not exist:  at get_iplayer.pl line 5566


I had a look at the line and it seems that it might relate to XML::Simple as it is referred to on line 5565.
Sam
 

Re: Please help me download radio show using Windows.

Postby linuxcentre » 25 Feb 2010 14:34

Yes, the OP's stream was needing a new media type. The second poster was due to an rdf parsing regression bug.
Please update to 2.70 just released.
linuxcentre
Site Admin
 
Posts: 306
Joined: 31 Dec 2009 17:29

Re: Please help me download radio show using Windows.

Postby Guest » 25 Feb 2010 15:29

Hi
Thanks for your quick response.
I un-installed get_iplayer and then re-installed it from the download page.
When I run get_iplayer in Windows I can see that it has upgraded to v2.70.
But now I'm getting a different error:-

WARNING: rtmpdump >= 1.5 or flvstreamer is required - please upgrade
INFO: skipping flashaudio1 mode
ERROR: Failed to record 'Clár faoin scríbhneoir Seamus Heaney - - (http://www.
bbc.co.uk/irish/video_audio/player/409/english/)'


This looks like the installation program hasn't been installed flvstreamer properly.

How do I fix this?
Guest
 

Re: [solved] Please help me download radio show using Windows.

Postby linuxcentre » 25 Feb 2010 18:28

Run the installer again and ONLY select the flvstreamer component. Maybe there was a download failure?? Seems to work flawlessly for me here.
linuxcentre
Site Admin
 
Posts: 306
Joined: 31 Dec 2009 17:29

Re: [solved] Please help me download radio show using Windows.

Postby Guest » 25 Feb 2010 19:03

Hi
I've done what you suggested.
I've tried both versions of flvstreamer (cygwin and non-cygwin).
Both times I get the same error as before.

Please tell me, which version of flvstreamer should I choose?

Also, I can see the flvstreamer file there inside the get_iplayer folder. So flvstreamer is actually installed but maybe get_iplayer just can't see it. Is there something else that I need to do to cure this?

I'm using Windows 2000, not XP.
Guest
 

Re: [solved] Please help me download radio show using Windows.

Postby linuxcentre » 25 Feb 2010 20:40

Maybe there is a problem these days supporting that 10yr old OS. I have no way to test this. Can you tell me what errors you get if you type .\flvstreamer.exe in the get_iplayer command window. Can you try with different cygwin/non-cygwin components installed?
linuxcentre
Site Admin
 
Posts: 306
Joined: 31 Dec 2009 17:29

Re: [solved] Please help me download radio show using Windows.

Postby Guest » 25 Feb 2010 21:15

Hi
This is .\flvstreamer.exe output:-

Code: Select all
C:\Program Files\get_iplayer>.\flvstreamer.exe
FLVStreamer v2.1c1
(c) 2010 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL
ERROR: You must specify a hostname (--host) or url (-r "rtmp://host[:port]/playp
ath") containing a hostname


I agree that it's not good to try and support this old operating system. I'm happy to carry on using Ubuntu. I haven't used Windows seriously for a long time now.
I was trying to run get_iplayer in Windows on behalf of a friend. I've since had word from them that the new version works Ok, like you said, after the upgrade to 2.70. I expect that they are running XP or later.
So I don't mind if you close this case down.

Thanks for all your help.
Guest
 

Re: [solved] Please help me download radio show using Windows.

Postby linuxcentre » 25 Feb 2010 23:59

That'd save me the trouble thanks! I'm sure you'll be OK with XP.
linuxcentre
Site Admin
 
Posts: 306
Joined: 31 Dec 2009 17:29

Re: [solved] Please help me download radio show using Windows.

Postby Sam » 26 Feb 2010 10:20

Sadly this still isn't working in my environment with the latest version, although it may be due to us having an ISA proxy in place. Normal iPlayer downloads are working fine. Here is the output:

Code: Select all
C:\Program Files\get_iplayer>get_iplayer.cmd --url "http://news.bbc.co.uk/1/hi/business/8535898.stm"
get_iplayer v2.70, Copyright (C) 2008-2010 Phil Lewis
  This program comes with ABSOLUTELY NO WARRANTY; for details use --warranty.
  This is free software, and you are welcome to redistribute it under certain
  conditions; use --conditions for details.

INFO: Using Proxy http://xxxx:xxxxx@xxxxxxxxxxxx:8080
INFO: Trying pid: http://news.bbc.co.uk/1/hi/business/8535898.stm using type: tv
INFO Trying to stream pid using type tv
INFO: pid not found in tv cache
INFO: Checking existence of default version
INFO: flashnormal1 modes will be tried for version default
INFO: Trying flashnormal1 mode to record tv:  -
INFO: File name prefix = Osborne_-_Banking_pay_ridiculous_http_news.bbc.co.uk_1_hi_business_8535898.stm_default
FLVStreamer v1.9
(c) 2009 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL
Connecting ...
ERROR: Connect, failed to connect socket. 116 (Connection timed out)
INFO: Command exit code 1 (raw code = 256)
WARNING: Failed to stream file C:\Documents and Settings\xxxxxxx\Desktop\iPlayer Recordings/Osborne_-_Banking_pay_ridiculous_http_news.bbc.co.uk
_1_hi_business_8535898.stm_default.partial.avi.flv via RTMP
INFO: skipping flashnormal1 mode
ERROR: Failed to record 'Osborne - Banking pay 'ridiculous' (http://news.bbc.co.uk/1/hi/business/8535898.stm)'


I have also tried with 2.71 this morning and get the same result.
Sam
 

Next

Return to bugs



Who is online

Users browsing this forum: No registered users and 1 guest

cron
./cache/ is NOT writable.